#include<stdio.h>

// This function is used for printing to the file.
void printListWithAllInformations(Patient_Node **head){
	FILE *fs=fopen ("list.txt","wb");
	if (fs==NULL)
	{
		printf("File cannot be opened\n");
		exit(0);
	}
	
	Patient_Node *var_head = (*head);
	
	while(var_head != NULL)
	{
		fwrite(&(var_head->data), sizeof(Patient), 1, fs);
		var_head = var_head->next;		
	}
	fclose(fs);
	printf("\nFile is updated\n");
}
// This function is used for reading from file.
void read_File(){
	Patient patient;
	FILE *fs=fopen ("list.txt","rb");
	if (fs==NULL)
	{
		printf("File cannot be opened\n");
		exit(0);
	}
	
	/*
	 * fread(void * buffer, size_t size, size_t count, FILE * stream)
	 * buffer: Pointer to the buffer where data will be stored
	 * size: The size of each element to be read in bytes
	 * count: Number of elements to be read
	 * stream: Pointer to the FILE object from where data is to be read
	 */
	while(fread(&patient, sizeof(Patient), 1, fs))
    {
        printf("\nPatient Informations\n");
		printf("Name   : %s \n", patient.name);
		printf("Surname: %s \n", patient.surname);
		printf("ID     : %s \n", patient.ID);
		printf("Age    : %d \n", patient.age);
		printf("Prior  : %d \n", patient.prior);
    }
    
	fclose(fs);
}



